<?php

namespace EventPortal\Domain\Component;

use Illuminate\Support\Arr;

class Step extends Component
{
    const TYPE = 'Step';

    /** @var array */
    public $children = [];

    public function fields(array $fields): self
    {
        $this->children = $fields;

        return $this;
    }

    public function flatChildren(): array
    {
        return Arr::flatten($this->children);
    }
}
